Sync Integration Resource Records Data
curl --request GET \
--url https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/type/{resource_record_type}/sync \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/type/{resource_record_type}/sync"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/type/{resource_record_type}/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integration_resource_records": [
{
"teamId": "5eb7cf5a86d9755df3a6c593",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"logicalId": "<string>",
"integrationId": "5eb7cf5a86d9755df3a6c593",
"config": {
"type": "practitioners",
"organizationId": "<string>",
"id": "<string>",
"npi": "<string>",
"name": "<string>",
"gender": "<string>",
"avatar": "<string>",
"summary": "<string>",
"qualification": "<string>",
"education": "<string>",
"supervisorId": "5eb7cf5a86d9755df3a6c593",
"status": "active",
"languages": [
"<string>"
],
"specialties": [
{
"name": "<string>",
"code": "<string>"
}
],
"locations": [
{
"locationId": "<string>",
"locationName": "<string>"
}
],
"workingHours": {
"mon": [
{
"start": "<string>",
"end": "<string>"
}
],
"tue": [
{
"start": "<string>",
"end": "<string>"
}
],
"wed": [
{
"start": "<string>",
"end": "<string>"
}
],
"thu": [
{
"start": "<string>",
"end": "<string>"
}
],
"fri": [
{
"start": "<string>",
"end": "<string>"
}
],
"sat": [
{
"start": "<string>",
"end": "<string>"
}
],
"sun": [
{
"start": "<string>",
"end": "<string>"
}
]
},
"preferred_visiting_reasons": [
"5eb7cf5a86d9755df3a6c593"
],
"recordSource": "from_upstream"
}
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Integrations Resource Records V2
Sync Integration Resource Records Data
GET
/
integrations
/
v2
/
resource-records
/
{integration_id}
/
type
/
{resource_record_type}
/
sync
Sync Integration Resource Records Data
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Defines the type of resource record.
Available options:
locations, practitioners, visiting_reasons, patients, insurance_details, appointments, waitlist, outreach, appointment_types, visit_statuses, insurance_payers Query Parameters
Number of items per page
Required range:
x >= 1Page number
Required range:
x >= 1Search keywords
Filter by start time (ISO 8601 format)
Filter by end time (ISO 8601 format)
Response
Successful Response
Response model for a list of integrations resource records. Contains a list of IntegrationsResourceRecordsModel objects.
⌘I